#!/bin/bash

# runs all my image collectors and munges them together.
# written 05112005 uses imagemagick 3 perl scripts and fbsetbg
# hmm has problems if the apod source is a gif animation
# 14/11/2005 - realised ls sorts wrong way added r also added APOD check added -s skip command line parameter
if [ "$1" != "-s" ]
then
	perl apod2dt.pl
	perl userfriendly2dt.pl
	perl dilbert2dt.pl
fi

# get latest dilbert
dilbert=`ls /media/images/dilbert/ -ltr | tr -s ' ' | cut -d ' ' -f 9 | tail -n 1`
dilbert=`find /media/images/dilbert/ | grep $dilbert`

# get latest userfriendly
userfriendly=`ls /media/images/userfriendly/ -ltr | tr -s ' ' | cut -d ' ' -f 9 | tail -n 1`
userfriendly=`find /media/images/userfriendly/ | grep $userfriendly`

# get latest apodd
apod=`ls /media/images/apod/ -ltr | tr -s ' ' | cut -d ' ' -f 9 | tail -n 1`
apod=`find /media/images/apod/ | grep $apod`

if [ -d "temp" ]
then
	rm temp/*
else
	mkdir temp
fi
convert $dilbert -resize 580x210\! temp/dilbert.png
convert $userfriendly -resize 700x274\! temp/uf.png
convert $apod -resize x750 temp/apod.png
# check files created
if [ ! -f "temp/apod.png" ]
then
	echo "apod image file could not be found, try again later ?"
	exit
fi
if [ ! -f "temp/dilbert.png" ]
then
	echo "dilbert image file could not be found, try again later ?"
	exit
fi
if [ ! -f "temp/uf.png" ]
then
	echo "userfriendly image file could not be found, try again later ?"
	exit
fi
# create tempate to center image on
convert -size 1280x750 xc:white temp/basic.png
#center
composite -gravity center temp/apod.png temp/basic.png temp/apod.png
# append the comics together
montage temp/uf.png temp/dilbert.png -geometry +0+0 -background white temp/comics.png
# append the comics to the bottom of the apod
montage temp/apod.png temp/comics.png -tile 1x2 -geometry +0+0 -background white temp/bg.png

wpsetters=feh fbsetbg temp/bg.png

